## parallax app-0.37.17

=== docs/requirements.txt ===
Sphinx
sphinx-jinja
furo
docutils

## parallax 1.0.1

=== debian/changelog ===
parallax (1.0.1-3) unstable; urgency=medium

  * Add openssh-client depends (Closes: #854722)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sat, 25 Mar 2017 11:09:15 +0100

parallax (1.0.1-2) unstable; urgency=low

  * Move internal scripts to /usr/lib/parallax
  * Use debhelper version 10

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Thu, 29 Dec 2016 15:09:19 +0100

parallax (1.0.1-1) unstable; urgency=low

  * Initial package release (Closes: #844249)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sat, 05 Nov 2016 15:26:04 +0000

=== debian/control ===
Source: parallax
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Valentin Vidic <Valentin.Vidic@CARNet.hr>
Build-Depends: debhelper (>= 10), dh-python, python-all, python3-all
Standards-Version: 3.9.8
Homepage: https://github.com/krig/parallax/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/parallax.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/parallax.git

Package: python-parallax
Architecture: all
Depends: openssh-client, ${misc:Depends}, ${python:Depends}
Description: Execute commands and copy files over SSH (Python 2)
 Parallax SSH provides an interface to executing commands on multiple nodes at
 once using SSH. It also provides commands for sending and receiving files to
 multiple nodes using SCP.
 .
 This package contains the Python 2 version of the module.

Package: python3-parallax
Architecture: all
Depends: openssh-client, ${misc:Depends}, ${python3:Depends}
Description: Execute commands and copy files over SSH (Python 3)
 Parallax SSH provides an interface to executing commands on multiple nodes at
 once using SSH. It also provides commands for sending and receiving files to
 multiple nodes using SCP.
 .
 This package contains the Python 3 version of the module.

## parallax 1.0.3

=== debian/changelog ===
parallax (1.0.3-1) unstable; urgency=medium

  * New upstream version
  * Drop parallax.egg-info from the master branch
  * Fix super call for python2
  * Update Standards-Version to 4.1.1
  * Check GPG signature on new versions

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 28 Nov 2017 08:58:06 +0100

parallax (1.0.2-1) unstable; urgency=medium

  * New upstream version
  * Update Standards-Version to 4.0.0
  * Add python-setuptools to Build-Depends

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 18 Sep 2017 19:18:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Valentin Vidic <Valentin.Vidic@CARNet.hr>
-Build-Depends: debhelper (>= 10), dh-python, python-all, python3-all
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), dh-python, python-all, python3-all,
+ python-setuptools, python3-setuptools
+Standards-Version: 4.1.1
 Homepage: https://github.com/krig/parallax/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/parallax.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/parallax.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=parallax
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mkdir $(CURDIR)/debian/python-parallax/usr/lib/parallax
	mv $(CURDIR)/debian/python-parallax/usr/bin/parallax-askpass \
	   $(CURDIR)/debian/python-parallax/usr/lib/parallax/parallax-askpass2
	mkdir $(CURDIR)/debian/python3-parallax/usr/lib/parallax
	mv $(CURDIR)/debian/python3-parallax/usr/bin/parallax-askpass \
	   $(CURDIR)/debian/python3-parallax/usr/lib/parallax/parallax-askpass3

=== debian/tests/control ===
Tests: testsuite
Depends: python-parallax, openssh-server, adduser
Restrictions: needs-root, isolation-container

Tests: testsuite3
Depends: python3-parallax, openssh-server, adduser
Restrictions: needs-root, isolation-container

=== debian/watch ===
# try also https://pypi.debian.net/parallax/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/parallax/parallax-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## parallax 1.0.4

=== debian/changelog ===
parallax (1.0.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:11:50 +0800

parallax (1.0.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Valentin Vidic ]
  * d/control: update my mail address
  * d/control: update Standards-Version to 4.2.1

 -- Valentin Vidic <vvidic@debian.org>  Wed, 19 Sep 2018 11:22:43 +0200

parallax (1.0.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Valentin Vidic ]
  * New upstream version
  * d/control: use debhelper v11
  * d/control: update Standards-Version to 4.1.5

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 11 Jul 2018 12:32:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Valentin Vidic <Valentin.Vidic@CARNet.hr>
-Build-Depends: debhelper (>= 10), dh-python, python-all, python3-all,
+Uploaders: Valentin Vidic <vvidic@debian.org>
+Build-Depends: debhelper (>= 11), dh-python, python-all, python3-all,
  python-setuptools, python3-setuptools
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Homepage: https://github.com/krig/parallax/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/parallax.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/parallax.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/parallax.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/parallax
 
 Package: python-parallax
 Architecture: all

## parallax 1.0.5

=== debian/changelog ===
parallax (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5
  * d/watch: upstream does not sign anymore
  * d/patches: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Sat, 31 Aug 2019 09:34:25 +0200

parallax (1.0.4-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Valentin Vidic ]
  * d/*: drop python2 support
  * d/patches: fix assert warnings
  * d/control: update Standards-Version to 4.4.0

 -- Valentin Vidic <vvidic@debian.org>  Sun, 04 Aug 2019 12:46:11 +0200

=== debian/control ===
Source: parallax
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Valentin Vidic <vvidic@debian.org>
Build-Depends: debhelper-compat (= 11), dh-python, python3-all, python3-setuptools
Standards-Version: 4.4.0
Homepage: https://github.com/krig/parallax/
Vcs-Git: https://salsa.debian.org/python-team/modules/parallax.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/parallax

Package: python3-parallax
Architecture: all
Depends: openssh-client, ${misc:Depends}, ${python3:Depends}
Description: Execute commands and copy files over SSH
 Parallax SSH provides an interface to executing commands on multiple nodes at
 once using SSH. It also provides commands for sending and receiving files to
 multiple nodes using SCP.

=== debian/watch ===
# try also https://pypi.debian.net/parallax/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/parallax/parallax-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## parallax 1.0.6

=== debian/changelog ===
parallax (1.0.6-4) unstable; urgency=medium

  * d/control: update Standards-Version to 4.6.2

 -- Valentin Vidic <vvidic@debian.org>  Sun, 22 Jan 2023 14:11:38 +0100

parallax (1.0.6-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team contact
    address
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa layout

  [ Valentin Vidic ]
  * d/control: update Standards-Version to 4.5.1
  * d/watch: update to version 4

 -- Valentin Vidic <vvidic@debian.org>  Sun, 17 Jan 2021 11:27:24 +0100

parallax (1.0.6-2) unstable; urgency=medium

  * d/salsa-ci.yml: enable Debian CI
  * Bump debhelper to 13.

 -- Valentin Vidic <vvidic@debian.org>  Wed, 13 May 2020 22:00:14 +0200

parallax (1.0.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Valentin Vidic ]
  * New upstream version 1.0.6
  * Bump Standards-Version to 4.5.0
  * Refresh patches for the new version
  * Add Rules-Requires-Root

 -- Valentin Vidic <vvidic@debian.org>  Sun, 05 Apr 2020 23:03:03 +0200

=== debian/control ===
Source: parallax
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Valentin Vidic <vvidic@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/krig/parallax/
Vcs-Git: https://salsa.debian.org/python-team/packages/parallax.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/parallax

Package: python3-parallax
Architecture: all
Depends: openssh-client, ${misc:Depends}, ${python3:Depends}
Description: Execute commands and copy files over SSH
 Parallax SSH provides an interface to executing commands on multiple nodes at
 once using SSH. It also provides commands for sending and receiving files to
 multiple nodes using SCP.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=parallax
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mkdir $(CURDIR)/debian/python3-parallax/usr/lib/parallax
	mv $(CURDIR)/debian/python3-parallax/usr/bin/parallax-askpass \
	   $(CURDIR)/debian/python3-parallax/usr/lib/parallax/parallax-askpass3

=== debian/tests/control ===
Tests: testsuite3
Depends: python3-parallax, openssh-server, adduser
Restrictions: needs-root, isolation-container

=== debian/watch ===
# try also https://pypi.debian.net/parallax/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/parallax/parallax-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## parallax 1.0.8

=== debian/changelog ===
parallax (1.0.8-1) unstable; urgency=medium

  * New upstream version 1.0.8
  * d/watch: update to use github
  * d/patches: refresh for new version (Closes: #1093607)
  * d/control: update Standards-Version to 4.7.0

 -- Valentin Vidic <vvidic@debian.org>  Sat, 01 Feb 2025 20:05:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Valentin Vidic <vvidic@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/krig/parallax/
 Vcs-Git: https://salsa.debian.org/python-team/packages/parallax.git

=== debian/watch ===
# try also https://pypi.debian.net/parallax/watch
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
  https://github.com/krig/parallax/tags .*/v?(\d\S*)\.tar\.gz
